<?php 
if(!function_exists('calliope_color_scheme')){
    function calliope_color_scheme(){
        global $theme_option;
        $color_scheme = array();

        if ( $theme_option['logo_width'] ) { 
          $color_scheme[] = '
          .logo{        
            width: '.esc_attr($theme_option['logo_width']).';
            height: '.esc_attr($theme_option['logo_height']).';
            margin: auto;    
          }
          ';
        }
        
        $color_scheme[] = 
        '
        /**** Main Color ****/
        a, .blog-wrap h6 a:hover, .blog-tag a:hover, .pagination li a:hover, .pagination li span,
        .blog-post-sublinks a, .sidebar-wrapper li a:hover, .sidebar-wrapper .link-tag:hover,
        .blog-wrap .sticky p, .widget_calendar td a, .logged-in-as a,
        .con-info .con-icon, .small-text, .effect-btn a, .services-offer .services-icon,
        .icon-left1, .team-social li.icon-team a, .team-social1 li.icon-team1 a,
        .testi-wrap h6 small, .link-blog a:hover, #filter li .current, ul.slimmenu li.selected > a,
        .content-404 h1, ul.slimmenu li.current-menu-item a{
          color: '.esc_attr( $theme_option['main-color'] ).';
        }

        .blog-tag a:hover, .pagination li a:hover, .pagination li span,
        li.selected{
          border-color: '.esc_attr( $theme_option['main-color'] ).';
        }

        ul.dot-nav-wrap li, .bar-prc4, .cl-effect-10 a::before {
          background-color: '.esc_attr( $theme_option['main-color'] ).';
        }

        .footer{
          background-color: '.esc_attr( $theme_option['background_footer'] ).';
          color: '.esc_attr( $theme_option['color_footer'] ).';
        }
        .footer p{
          color: '.esc_attr( $theme_option['color_footer'] ).';
        }
        .background-blog-head{
          background-image: url('.esc_attr( $theme_option['bg_blog']['url'] ).');
        }
        ';        

        if ( !empty( $color_scheme ) ) {          
          echo '<style type="text/css">'.implode( ' ', $color_scheme ).'</style>';
        }
    }
}
add_action('wp_head', 'calliope_color_scheme');